Ошибка 500 и fcgid

12
IRIP
На сайте с 22.06.2010
Offline
102
#11

Что в логе: "/var/log/php7.2-fpm.log"?

Для получения информации открыть: "/etc/php/7.***/fpm/php-fpm.conf", найти:

;log_level = notice

Заменить на:

log_level = debug

поиграться с events worker_connections 1024 поставить

server_tokens off;

увеличить fastcgi_read_timeout 600s;

я решал проблему изменением вот этих параметров

pm = dynamic

pm.start_servers = 2

pm.min_spare_servers = 1

pm.max_children = 100

pm.max_spare_servers = 65

pm.max_requests = 1000

A
На сайте с 04.01.2009
Offline
135
#12
IRIP:
Что в логе: "/var/log/php7.2-fpm.log"?

Для получения информации открыть: "/etc/php/7.***/fpm/php-fpm.conf", найти:

php работает в режиме FastCGI (Apache), PHP-FPM не используется

lealhost:
Если вы знаете где находится библиотека mysqlnd.so для данной версии PHP, то можете самостоятельно собрать и заменить ее:

то есть просто пересобрать под php 7.3.4 и подменить файл? а то что php 7.3.4 работает как альтернативная версия из каталога /opt/php73 не чего? по умолчанию сервер работает на 5.6.24 (native)

Может попробовать включить для сайта php 7.2 или 7.1 попробовать?

lealhost
На сайте с 07.06.2014
Offline
129
#13
avgaz:

то есть просто пересобрать под php 7.3.4 и подменить файл?

Да, пересобрать модуль и подменить файл.


а то что php 7.3.4 работает как альтернативная версия из каталога /opt/php73 не чего? по умолчанию сервер работает на 5.6.24 (native)

Это ничего не меняет: каждая версия PHP подключает модули именно для своей версии и лежат они где-то отдельно.

Найти mysqlnd.so для PHP 7.3 => сделать бэкап => заменить на свежескомпилируемую версию модуля => Перезапустить Apache.


Может попробовать включить для сайта php 7.2 или 7.1 попробовать?

Можете попробовать. В changelog не было исправлений для PHP 7.1/7.2, видимо, они не подвержены данному багу.

Проблема с сегфолтами была конкретно на PHP 7.3.4, исправление вышло в PHP 7.3.7, ссылка на баг-трекер:

http://bugs.php.net/77955

(IP сайта находится в Едином Реестре Роскомнадзора по делу о блокировке Telegram, из РФ зайдет только через прокси)

A
На сайте с 04.01.2009
Offline
135
#14

lealhost, дак мне нужно собирать модуль под 7.3.10 какими указано командами выше или же под 7.3.4? просто https://www.php.net/downloads.php нет тут 7.3.4

lealhost
На сайте с 07.06.2014
Offline
129
#15

7.3.4 и 7.3.10 - ЭТО ОДНА ВЕТКА PHP - 7.3, модули совместимы.

Собираете модуль mysqlnd, используя исходники версии PHP 7.3.10 => заменяете модуль mysqlnd.so для PHP 7.3.4.

A
На сайте с 04.01.2009
Offline
135
#16

Переключил сайт на 7.2 ошибка появляется гораздо реже(раз 5 в сутки, ранее было каждый част по несколько раз), в таком виде в логах сайта

[Fri Oct 11 16:09:45.310890 2019] [fcgid:warn] [pid 26179] (104)Connection reset by peer: [client ****:57109] mod_fcgid: error reading data from FastCGI server

[Fri Oct 11 16:09:45.311042 2019] [core:error] [pid 26179] [client ***:57109] End of script output before headers: index.php

А вот в логах апача /var/log/apache2/error.log, теперь она не фиксируется, где теперь посмотреть то, что именно вызывается?

LEOnidUKG
На сайте с 25.11.2006
Offline
1670
#17

Ещё как вариант пишут, отключить opcache и попробовать без него.

✅ Трастовых площадок под размещение статей и ссылок. Опыт 15 лет! ( https://searchengines.guru/ru/forum/675690 ) ⭐ Купить вечные трастовые ссылки для сайта ( https://getmanylinks.ru/?srh ) ⭐ Новый аналог AllSubbmitter https://getmanylinks.ru/getmanysubmits.html (Бесплатное демо)
A
На сайте с 04.01.2009
Offline
135
#18
LEOnidUKG:
Ещё как вариант пишут, отключить opcache и попробовать без него.

он и так был отключен

[Удален]
#19

А какой у вас домен? Можете написать в поддержку тех людей, которые предоставили вам сайт или чтото в этом духе?

12

Авторизуйтесь или зарегистрируйтесь, чтобы оставить комментарий